#include <bits/stdc++.h>

using namespace std;
int a[2000005];

int main(int argc, char** argv) {
	int n,i,k,p,m;
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	cin>>n>>k;
	for(i=0;i<n;i++)
	{
		cin>>p;
		a[p+n]++;
	}
	m=0;
	p=2*n+1;
	for(i=0;i<p;i++) if(a[i]>=k) m++;
	cout<<m<<endl;
	for(i=0;i<p;i++) if(a[i]>=k) cout<<i-n<<" ";
	cout<<endl;
	return 0;
}